Page MenuHomePhabricator

WebM playback not offered in Internet Explorer and Edge browsers
Closed, ResolvedPublic

Description

For WebM video https://commons.wikimedia.org/wiki/File:BBH_gravitational_lensing_of_gw150914.webm, in the Internet Explorer and Edge browsers, users are only provided the option to view the video in low-resolution OGG format when a high-resolution WebM file is available. This leads to a much lower-quality viewing experience than would be available if in-browser WebM playback is supported.

Event Timeline

Pine created this task.Feb 21 2016, 10:12 PM
Restricted Application added subscribers: StudiesWorld, Matanya, Aklapper. · View Herald TranscriptFeb 21 2016, 10:12 PM
Pine added a subscriber: brion.Feb 21 2016, 10:14 PM

I see that @brion authored https://phabricator.wikimedia.org/rETMH9f808c924577f075624e1fd582b44d4b5b92d388, but I was not prompted to install a WebM plugin in either Edge or IE.

TheDJ moved this task from To sort to Player on the TimedMediaHandler board.Feb 22 2016, 4:20 PM
Paladox added a subscriber: Paladox.EditedMar 20 2016, 2:20 PM

@Pine the WebM plugin is not supported in Microsoft Edge since it is a different browser based on a modern trident engine. Internet explorer 11 I doint think it works with that plugin too only ie9.

Any ways Microsoft Edge has basic WebM support but is switched off by default.

To enable it which is vp9 go to about:flags and search for Media source extensions

It may be enabled by default since mine is now showing automatic.

brion closed this task as Resolved.Jan 14 2017, 5:15 AM
brion claimed this task.

Going ahead and closing this out as resolved; though the task _asks_ for WebM my understand is what was _desired_ was decent-quality HD output. :) .ogv transcodes are now produced in HD (720p and 1080p) as well as SD resolutions, and should nearly match the quality of the WebM output in most cases (at a higher bitrate due to the older compression).

Some older non-HD transcodes were at low bitrates and still look bad; they can be reset if need be and eventually will be batch-redone. Newer transcodes should look pretty decent generally, and you can crank up to HD in the player.

See also T135869 which is similar re: Safari.